### robocode

# Class MouseExitedEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.MouseEvent`
    - - `robocode.MouseExitedEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class MouseExitedEvent`
`extends MouseEvent`

A MouseExitedEvent is sent to `onMouseExited()` when the mouse has exited the battle view.

Author:
  Pavel Savara (original)

Since:
  1.6.1

See Also:
  `MouseClickedEvent`, `MousePressedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseMovedEvent`, `MouseDraggedEvent`, `MouseWheelMovedEvent`

  ## Constructor Summary

  `MouseExitedEvent(MouseEvent source)`
    Called by the game to create a new MouseExitedEvent.

  ## Method Summary

  ### Methods inherited from class robocode.MouseEvent

  `getSourceEvent`

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### MouseExitedEvent

    public MouseExitedEvent(MouseEvent source)

> Called by the game to create a new MouseExitedEvent.
> Parameters:
>   `source` - the source mouse event originating from the AWT.